UnwrappedOperationInfo (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.service.model

## Class UnwrappedOperationInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.OperationInfo
    - - org.apache.cxf.service.model.UnwrappedOperationInfo

- All Implemented Interfaces:
    `Extensible`, `NamedItem`

      public class UnwrappedOperationInfo
      extends OperationInfo

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnwrappedOperationInfo​(OperationInfo op)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FaultInfo` | `addFault​(QName name, QName message)` | Adds an fault to this operation.
    `FaultInfo` | `getFault​(QName name)` | Returns the fault with the given name, if found.
    `Collection<FaultInfo>` | `getFaults()` | Returns all faults for this operation.
    `OperationInfo` | `getWrappedOperation()` |
    `boolean` | `isUnwrapped()` |
    `void` | `setInput​(String nm, MessageInfo in)` |
    `void` | `setOutput​(String nm, MessageInfo out)` |

    - ### Methods inherited from class org.apache.cxf.service.model.OperationInfo

      `addFault, createMessage, equals, getInput, getInputName, getInterface, getName, getOutput, getOutputName, getParameterOrdering, getUnwrappedOperation, hasFaults, hashCode, hasInput, hasOutput, isOneWay, isUnwrappedCapable, removeFault, setName, setParameterOrdering, setUnwrappedOperation, toString`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnwrappedOperationInfo

          public UnwrappedOperationInfo​(OperationInfo op)

  - ### Method Detail

    - #### getWrappedOperation

          public OperationInfo getWrappedOperation()

    - #### isUnwrapped

          public boolean isUnwrapped()

      Overrides:
        `isUnwrapped` in class `OperationInfo`

    - #### addFault

          public FaultInfo addFault​(QName name,
                                    QName message)

      Description copied from class: `OperationInfo`
      Adds an fault to this operation.
      Overrides:
        `addFault` in class `OperationInfo`
      Parameters:
        `name` - the fault name.

    - #### getFault

          public FaultInfo getFault​(QName name)

      Description copied from class: `OperationInfo`
      Returns the fault with the given name, if found.
      Overrides:
        `getFault` in class `OperationInfo`
      Parameters:
        `name` - the name.
      Returns:
        the fault; or `null` if not found.

    - #### getFaults

          public Collection<FaultInfo> getFaults()

      Description copied from class: `OperationInfo`
      Returns all faults for this operation.
      Overrides:
        `getFaults` in class `OperationInfo`
      Returns:
        all faults.

    - #### setOutput

          public void setOutput​(String nm,
                                MessageInfo out)

      Overrides:
        `setOutput` in class `OperationInfo`

    - #### setInput

          public void setInput​(String nm,
                               MessageInfo in)

      Overrides:
        `setInput` in class `OperationInfo`